[greenstone-users] GLI Java problem in Ubuntu

From Jesús Tramullas
DateTue, 29 Nov 2005 22:35:08 +0100
Subject [greenstone-users] GLI Java problem in Ubuntu
Dear friends:

We're working with gsdl 2.62 and GLI over Ubuntu Linux with Sun JRE
v1.5_05. We had some problems with Ubuntu 5.04, resolved by changing the Perl XML parser as related in
http://www.greenstone.org/cgi-bin/library?e=p-en-faq-utfZz-8&a=p&p=faqbuild#33
and all works fine.

Upgrading the system to Ubuntu 5.10, the upgrade incorporates GNU Java
environment, necessary to work with OpenOffice Base 2.0. But when we try to work with GLI, we get a lot of errors, and GLI doesn't start. We can
confirm that the Java environment (java -version) is GNU Java. So, we
must uninstall GNU Java in order to work with GLI (then, Java
environment changes to Sun JRE 1.5_05), but then we lost OpenOffice Base program and funcionality.

We tried to compile GLI with makegli.sh and GNU Java, but doesn't work.

We'll try to change the default Java machine... any other idea?

Cheers,

Jesús
--

"Nunca arriada la bandera"
Ernest Shackleton

--#-----------------------------------------------------------------
Dr. Jesús Tramullas
Depto. Ciencias de la Documentación | Dept. of Information Sciences
Universidad de Zaragoza
jesus@tramullas.com | tramullas@unizar.es
http://tramullas.com
-----------------------------------------------------------------#--